=== debian/changelog ===
kiwi (10.1.18-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    * d/control: Drop riscv64 as an architecture for kiwi-dracut-oem-dump,
      until kexec-tools are appropriately available on that architecture

 -- Dan Bungert <daniel.bungert@canonical.com>  Wed, 06 Nov 2024 09:44:03 -0700

kiwi (10.1.18-1) unstable; urgency=medium

  * New upstream release (Closes: #1069389, #1085662)
  * Add pybuild-plugin-pyproject to Build-Depends in debian/control
  * Add python3-poetry to Build-Depends in debian/control
  * Remove python3-mock from Build-Depends in debian/control (Closes: #1072903)
  * Remove python3-testinfra from B-D in debian/control (Closes: #1085493)
  * Replace python3-docopt with python3-docopt-ng in B-D in debian/control
  * Add usr/share/kiwi/xsl_to_v74 directory to debian/kiwi.install
  * Remove kiwi-tools binary package from debian/control
  * Remove all files installed in debian/kiwi-tools.install
  * Stop building kiwi-tools binary package in debian/rules
  * Use pybuild with custom test command to run testsuite in debian/rules

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 03 Nov 2024 15:41:17 +0100
