=== debian/control ===
Source: kiwi
Section: otherosfs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
Uploaders: Marcus Schäfer <marcus.schaefer@gmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               passwd,
               pybuild-plugin-pyproject,
               python3-all,
               python3-anymarkup,
               python3-docopt-ng,
               python3-lxml,
               python3-poetry,
               python3-pytest,
               python3-pyxattr,
               python3-requests,
               python3-setuptools,
               python3-simplejson,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-yaml
Standards-Version: 4.6.2
Homepage: https://osinside.github.io/kiwi
Vcs-Browser: https://salsa.debian.org/debian/kiwi
Vcs-Git: https://salsa.debian.org/debian/kiwi.git
Rules-Requires-Root: no

Package: kiwi
Architecture: any
Depends: debootstrap,
         screen,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         ${sphinxdoc:Depends}
Description: Flexible OS Image and Appliance Builder
 The KIWI Image System provides an operating system image builder
 for Linux supported hardware platforms as well as for virtualization
 and cloud systems.

Package: kiwi-dracut-lib
Architecture: any
Depends: bc,
         btrfs-progs,
         cryptsetup,
         dmsetup,
         dracut,
         dracut-network,
         e2fsprogs,
         gdisk,
         lvm2,
         mdadm,
         parted,
         xz-utils,
         ${misc:Depends}
Description: KIWI - Dracut kiwi Library
 This package contains a collection of methods to provide a library
 for tasks done in other kiwi dracut modules.

Package: kiwi-dracut-oem-repart
Architecture: any
Depends: kiwi-dracut-lib, ${misc:Depends}
Description: KIWI - Dracut module for oem(repart) image type
 This package contains the kiwi-repart dracut module which is
 used to repartition the oem disk image to the current disk
 geometry according to the setup in the kiwi image configuration.

Package: kiwi-dracut-oem-dump
Architecture: any
# Removing riscv64 from kexec-tools depends until LP: #1988966 is fixed
Depends: gawk, kexec-tools [!riscv64], kiwi-dracut-lib, kpartx, ${misc:Depends}
Description: KIWI - Dracut module for oem(install) image type
 This package contains the kiwi-dump and kiwi-dump-reboot dracut
 modules which is used to install an oem image onto a target disk.
 It implements a simple installer which allows for user selected
 target disk or unattended installation to target. The source of
 the image to install could be either from media (CD/DVD/USB) or
 from remote.

Package: kiwi-dracut-live
Architecture: any
Depends: dialog,
         dmsetup,
         dracut,
         dracut-network,
         e2fsprogs,
         parted,
         xfsprogs,
         xorriso,
         ${misc:Depends}
Description: KIWI - Dracut module for iso(live) image type
 This package contains the kiwi-live dracut module which is
 used for booting ISO (live) images built with KIWI.

Package: kiwi-dracut-overlay
Architecture: any
Depends: kiwi-dracut-lib, ${misc:Depends}
Description: KIWI - Dracut module for VMX (+overlay) image type
 This package contains the kiwi-overlay dracut module which is
 used for booting VMX images built with KIWI and configured to
 use an overlay root filesystem.

Package: kiwi-dracut-verity
Architecture: any
Depends: kiwi-dracut-lib, ${misc:Depends}, ${shlibs:Depends}
Description: KIWI - Dracut module for disks with embedded verity metadata
 This package contains the kiwi-verity dracut module which is used
 for booting OEM images built with KIWI and configured to use an
 embedded verity metadata block via the embed_verity_metadata
 type attribute.

Package: kiwi-systemdeps-core
Architecture: any
Depends: gnupg, mtools, openssl, rsync, ${misc:Depends}
Description: KIWI - Core host system dependencies
 This meta-package installs the necessary system dependencies
 to run KIWI.

Package: kiwi-systemdeps-bootloaders
Architecture: any
Depends: grub-coreboot-bin [amd64 i386 x32],
         grub-efi-amd64-bin [amd64 i386 x32],
         grub-efi-arm-bin [armel armhf],
         grub-efi-arm64-bin [arm64],
         grub-efi-ia32-bin [amd64 i386 x32],
         grub-efi-ia64-bin [ia64],
         grub-ieee1275-bin [amd64 i386 powerpc ppc64 ppc64el sparc64 x32],
         grub-pc-bin [amd64 i386 x32],
         grub-uboot-bin [armel armhf],
         grub-xen-bin [amd64 i386],
         grub-yeeloong-bin [mipsel],
         kiwi-systemdeps-core,
         s390-tools [s390x],
         ${misc:Depends}
Description: KIWI - host requirements for configuring bootloaders
 Host setup helper to pull in all packages required/useful on
 the build host for configuring bootloaders on images

Package: kiwi-systemdeps-containers
Architecture: any
Depends: buildah, skopeo, ${misc:Depends}
Description: KIWI - host requirements for container images
 Host setup helper to pull in all packages which are required
 or useful on the build host to build container images such
 as docker.

Package: kiwi-systemdeps-iso-media
Architecture: any
Depends: kiwi-systemdeps-bootloaders,
         kiwi-systemdeps-core,
         kiwi-systemdeps-filesystems,
         syslinux [amd64],
         xorriso,
         ${misc:Depends}
Description: KIWI - host requirements for live and install iso images
 Host setup helper to pull in all packages which are required or
 useful on the build host to build live and install iso images.

Package: kiwi-systemdeps-filesystems
Architecture: any
Depends: btrfs-progs,
         cryptsetup,
         dosfstools,
         e2fsprogs,
         gdisk,
         kiwi-systemdeps-core,
         kpartx,
         lvm2,
         parted,
         qemu-utils,
         squashfs-tools,
         xfsprogs,
         ${misc:Depends}
Description: KIWI - host requirements for filesystems
 Host setup helper to pull in all packages which are required or
 useful on the build host to build filesystem images.

Package: kiwi-systemdeps-disk-images
Architecture: any
Depends: kiwi-systemdeps-bootloaders,
         kiwi-systemdeps-filesystems,
         kiwi-systemdeps-iso-media,
         ${misc:Depends}
Description: KIWI - host requirements for disk images
 Host setup helper to pull in all packages which are required
 or useful on the build host to build disk images.

Package: kiwi-systemdeps
Architecture: any
Depends: kiwi-systemdeps-bootloaders,
         kiwi-systemdeps-containers,
         kiwi-systemdeps-core,
         kiwi-systemdeps-disk-images,
         kiwi-systemdeps-filesystems,
         kiwi-systemdeps-iso-media,
         ${misc:Depends}
Description: KIWI - Host system dependencies
 Host setup helper to pull in all packages which are required
 or useful to leverage all functionality in KIWI.
