## kiwi 10.2.10

=== debian/changelog ===
kiwi (10.2.10-1) unstable; urgency=medium

  * New upstream release (Closes: #1095432)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 09 Feb 2025 20:34:57 +0100

kiwi (10.2.9-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 07 Feb 2025 16:20:04 +0100

kiwi (10.1.20-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Tue, 26 Nov 2024 22:26:22 +0100
