## kiwi 10.2.26

=== debian/changelog ===
kiwi (10.2.26-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Tue, 01 Jul 2025 14:51:01 +0200

kiwi (10.2.24-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sat, 31 May 2025 11:26:34 +0200

kiwi (10.2.22-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 18 May 2025 08:11:55 +0200

kiwi (10.2.16-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sat, 29 Mar 2025 08:43:35 +0100

kiwi (10.2.13-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Thu, 06 Mar 2025 14:28:35 +0100

kiwi (10.2.12-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 28 Feb 2025 10:33:49 +0100
