=== debian/changelog ===
kiwi (10.2.27-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Mon, 14 Jul 2025 11:28:26 +0200
