=== dracut/modules.d/90kiwi-overlay/Makefile ===
buildroot = /

install:
	install -d -m 755 ${buildroot}usr/lib/dracut/modules.d/90kiwi-overlay
	cp -a * ${buildroot}usr/lib/dracut/modules.d/90kiwi-overlay
