=== dracut/modules.d/99kiwi-dump-reboot/Makefile ===
buildroot = /

install:
	install -d -m 755 ${buildroot}usr/lib/dracut/modules.d/99kiwi-dump-reboot
	cp -a * ${buildroot}usr/lib/dracut/modules.d/99kiwi-dump-reboot
