=== debian/changelog ===
kiwi (10.2.28-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Thu, 24 Jul 2025 13:30:45 +0200
