## kiwi 10.2.31

=== debian/changelog ===
kiwi (10.2.31-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 03 Aug 2025 15:42:35 +0200
