## kiwi 10.2.32

=== debian/changelog ===
kiwi (10.2.32-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sat, 16 Aug 2025 12:30:17 +0200
