=== dracut/modules.d/55kiwi-dump/Makefile ===
buildroot = /

install:
	install -d -m 755 ${buildroot}usr/lib/dracut/modules.d/55kiwi-dump
	cp -a * ${buildroot}usr/lib/dracut/modules.d/55kiwi-dump
