=== dracut/modules.d/55kiwi-live/Makefile ===
buildroot = /

install:
	install -d -m 755 ${buildroot}usr/lib/dracut/modules.d/55kiwi-live
	cp -a * ${buildroot}usr/lib/dracut/modules.d/55kiwi-live
