=== dracut/modules.d/55kiwi-repart/Makefile ===
buildroot = /

install:
	install -d -m 755 ${buildroot}usr/lib/dracut/modules.d/55kiwi-repart
	cp -a * ${buildroot}usr/lib/dracut/modules.d/55kiwi-repart
