=== dracut/modules.d/59kiwi-lib/Makefile ===
buildroot = /

install:
	install -d -m 755 ${buildroot}usr/lib/dracut/modules.d/59kiwi-lib
	cp -a * ${buildroot}usr/lib/dracut/modules.d/59kiwi-lib
