=== debian/changelog ===
kiwi (10.2.33-1) unstable; urgency=medium

  * New upstream release
  * Rename kiwi scripts in install files in debian directory
    - 99kiwi-lib to 59kiwi-lib in kiwi-dracut-lib.install
    - 90kiwi-live to 55kiwi-live in kiwi-dracut-live.install
    - 90kiwi-dump to 55kiwi-dump in kiwi-dracut-oem-dump.install
    - 99kiwi-dump-reboot to 59kiwi-dump-reboot in kiwi-dracut-oem-dump.install
    - 90kiwi-repart to 55kiwi-repart in kiwi-dracut-oem-repart.install
    - 90kiwi-overlay to 55kiwi-overlay in kiwi-dracut-overlay.install
    - 80kiwi-verity to 50kiwi-verity to kiwi-dracut-verity.install

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 21 Sep 2025 09:55:40 +0200
