=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kiwi
 Section: otherosfs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
+Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
 Uploaders: Marcus Schäfer <marcus.schaefer@gmail.com>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
@@ -69,8 +68,7 @@
 
 Package: kiwi-dracut-oem-dump
 Architecture: any
-# Removing riscv64 from kexec-tools depends until LP: #1988966 is fixed
-Depends: gawk, kexec-tools [!riscv64], kiwi-dracut-lib, kpartx, ${misc:Depends}
+Depends: gawk, kexec-tools, kiwi-dracut-lib, kpartx, ${misc:Depends}
 Description: KIWI - Dracut module for oem(install) image type
  This package contains the kiwi-dump and kiwi-dump-reboot dracut
  modules which is used to install an oem image onto a target disk.
