=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args='cd test/unit && pytest-3'

override_dh_auto_build:
	dh_auto_build
	make -C doc man

override_dh_auto_install:
	make buildroot=$(CURDIR)/debian/tmp/ install install_dracut
	dh_auto_install
	rm -f debian/tmp/usr/bin/kiwicompat

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
