## kiwi 10.2.36

=== debian/changelog ===
kiwi (10.2.36-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 07 Jan 2026 15:34:42 +0100
