=== debian/changelog ===
kiwi (10.2.38-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Tue, 27 Jan 2026 17:14:05 +0100
