## kiwi 10.2.41

=== debian/changelog ===
kiwi (10.2.41-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Tue, 03 Feb 2026 12:56:48 +0100
