## kiwi 10.2.42

=== Makefile ===
--- 
+++ 
@@ -96,6 +96,14 @@
 docs: setup
 	poetry run make -C doc man html
 
+ghpages: setup
+	poetry run sphinx-build doc/source doc/build
+	poetry run pdoc kiwi \
+		'!kiwi.cli' '!kiwi.tasks' '!kiwi.builder' '!kiwi.xml_parse' \
+		'!kiwi.kiwi' '!kiwi.api_helper' \
+		--logo https://osinside.github.io/kiwi/_static/kiwi-logo.png \
+		--output-dir doc/build/api
+
 docs_suse: setup
 	poetry run make -C doc xml
 	rm -rf doc/build/restxml
