=== debian/changelog ===
kiwi (10.2.42-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sat, 07 Feb 2026 09:34:33 +0100
